@charset "utf-8";

/*
關於CSS設定說明
CSS屬性是會繼承的，而且還是由上往下繼承。
同樣元素設定16px 後 12px 再 15px 最後會以最後設定的15px為準
但是有兩種情況除外:
1.絕對路徑命名. 如: .xx .yy .zz p {設定值;}
2.important.  如: .xx p {設定值 !important;}

CSS3選取器語法 :nth-child(n) 

*/


/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */


/*上方選單解除滑動固定
.header_area.sticky { position:relative;}
*/


/*上方選單右邊設定 臉書/LINE/電話/信箱
.tp_links a:before {寬高大小設定}
.tp_links a.me_tp_fb {}
.tp_links a.me_tp_fb:before {背景換圖/建議.SVG}
.tp_links a.me_tp_line {}
.tp_links a.me_tp_line:before {背景換圖/建議.SVG}
.tp_links a.me_tp_call {}
.tp_links a.me_tp_call:before {背景換圖/建議.SVG}
.tp_links a.me_tp_mail {}
.tp_links a.me_tp_mail:before {背景換圖/建議.SVG}
*/


/*電腦LOGO
.nav-brand {}
*/

/*手機LOGO
.nav-brand-m {}
*/

/* 商品下拉超過30個變大 */
.stellarnav.desktop li.bigMenu>ul{display: grid; grid-template-columns: repeat(auto-fill, minmax(220px, 1fr)); left: 0; width: 100%; position: fixed; padding: 20px;}
.stellarnav.desktop li.bigMenu ul ul{top: 100%; left: 0; width: 100%; background: #efefef; height: auto; max-height: 300px; overflow: auto;}
.stellarnav.desktop li.bigMenu ul ul li{margin: 0;} 
.stellarnav.hasBigMenu li.bigMenu li.has-sub > a:after{border-left: 6px solid transparent; border-bottom:unset; border-right: 6px solid transparent; border-top: 6px solid #898989; right: 5px;}
/* 主分類超過30個但次分類直接顯示 
.stellarnav.desktop li.bigMenu>ul{grid-gap: 10px;}
.stellarnav.desktop li.bigMenu li{border: 0;}
.stellarnav.desktop li.bigMenu>ul>li>a{border: 1px solid #ddd;}
.stellarnav.desktop li.bigMenu ul ul{display: block !important; position: relative; top: 0; background: unset; border: 0;}
.stellarnav.desktop li.bigMenu ul ul li{border: 0;}
 主分類超過30個但次分類直接顯示-結束 */

/* 商品下拉超過30個--結束 */

/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */


/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = = = = = */
#content {
    background: #ffffff;
}
/* Chrome、Edge、Safari */
::-webkit-scrollbar {
    width: 8px;
}

::-webkit-scrollbar-track {
    background: #dcccb2;
}

::-webkit-scrollbar-thumb {
    background: #8c4233;
    border-radius: 10px;
    border: 2px solid #fdfaf2;
}

::-webkit-scrollbar-thumb:hover {
    background: #8c4233;
}

/*背景*/
#content_main {
    margin: 0;
}

/*大圖特效*/
.swiper-banner .swiper-slide img {
    transform: none !important;
}
.bannerindex {
    position: static;
    height: auto;
}
.swiper-banner {
    position: static;
    margin: 0;
    height: auto;
}
.bannerindex .swiper-slide-active:nth-child(1)::before {
    content: "";
    display: block;
    position: absolute;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;
    background-image: url(https://pic03.eapple.com.tw/ohanapet2025/FONT01.png);
    background-position: left;
    background-repeat: no-repeat;
    background-size: contain;
    z-index: 3;
    opacity: 1;
    pointer-events: none;
    animation: slide-right 1.5s ease-in-out both;
}

/*-------------------*/
@keyframes slide-right {
  0% {
    transform: translateX(-100px);
  }
  100% {
    transform: translateX(0px);
  }
}

/*------大圖特效02------*/
.bannerindex .swiper-slide-active:nth-child(2)::before {
    content: "";
    display: block;
    position: absolute;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;
    background-image: url(https://pic03.eapple.com.tw/ohanapet2025/FONT02.png);
    background-position: left;
    background-repeat: no-repeat;
    background-size: contain;
    z-index: 3;
    opacity: 1;
    pointer-events: none;
    animation: slide-right 1.5s ease-in-out both;
}
/*-------------------*/
@keyframes slide-right {
  0% {
    transform: translateX(-100px);
  }
  100% {
    transform: translateX(0px);
  }
}

/* 輪播按鈕 */
.swiper-pagination {
    position: absolute;
    display: flex;
    gap: 0px;
    z-index: 10;
    height: auto;
    padding-bottom: 10px;
    flex-direction: row;
    justify-content: center;
    transition: .3s opacity;
    transform: translate3d(0, 0, 0);
    align-items: flex-end;
}
.swiper-pagination-bullet {
    width: 40px;        
    height: 2px;        
    border-radius: 0; 
    background: #ffffff87;
    opacity: 1;
    transition: all .3s ease;
}
.swiper-pagination-bullet-active {
    width: 20px;
    height: 2px;
    border-radius: 0;
    background: #ffffff4a;
    opacity: 1;
    transition: all .3s ease;
}

@media screen and (max-width: 768px) {
    .bannerindex {
        padding: 0;
        margin: 0;
    }
}

/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = = = = = */

/*============Header區塊============*/


/*Logo ----------*/

/*logo定位 */
.nav-header {
    margin: 10px;
}
/*logo大小*/
.header_area .nav-brand {display: flex;height: -webkit-fill-available;}

/*header樣式*/
.me_tp_features {
    display:none;
}
.navigation {
    width: 100%;
    position: relative;
    padding: 0;
    display: inline-flex;
    grid-gap: 0 20px;
}
.header_area {
    position: fixed;
    z-index: 9999;
    width: 100%;
    background: #f0f0f000;
}

.main_header_area {
    background: #dfd9c500;
    box-shadow: 1px 1px 10px rgb(105 83 83 / 0%);
    transition: .5s ease-out;
    margin: 0;
    border-radius: 0;
}
.main_header_area .container {
    max-width: 1300px;
    margin: auto;
    display: flex;
    height: 100px;
}

/*header下拉後底色磨砂感*/
.sticky .main_header_area.animated {
    background: #ffffff;
    backdrop-filter: saturate(93%) blur(10px);
    border-radius: 10vw;
    margin: 1vw 5vw;
}

.header_area.sticky{background: #ffffff00;}



/* --- 選單按鈕 --- */
.stellarnav {
    display: flex;
    width: 100%;
    z-index: 9900;
    line-height: normal;
    flex-direction: row-reverse;
    align-items: center;
}
.stellarnav>ul>li>a {
    padding: 8px 10px;
    color: #444;
    text-transform: uppercase;
    position: relative;
    display: inline-block;
    font-size: 16px;
    line-height: 48px;
    height: 55px;
    margin: 0px 5px;
    overflow: hidden;
    cursor: pointer;
    text-align: center;
    font-family: sans-serif;
    font-weight: 500;
    letter-spacing: 4px;
    transition: 1s;
}
.stellarnav>ul>li>a:hover {
    color: #bea77c;
}
.stellarnav>ul>li>a:hover::after {}
.stellarnav li li :hover {
    background: #bea77c;
    color: #ffffff;
    font-weight: 500;
}

/*---FOOTER區塊----*/

.footer {
    padding: 10px 80px 0px 50px;
    font-size: 14px;
    background: #eee;
    position: relative;
    z-index: 99;
}
.footer_logo {
    display: inline-block;
    vertical-align: top;
    max-width: 280px;
}
.footer_info {
    display: flex;
    grid-template-columns: unset;
    flex-direction: row-reverse;
    flex-wrap: wrap;
    grid-gap: unset;
    padding-right: 0;
    align-items: center;
}
.footer_info ul {
    display: flex; 
    width: 100%;
    align-items: flex-end;
    justify-content: space-between;
    margin: 0;
    padding: 0
}
.footer_logo img {
    margin-bottom: -50px;
    padding-right: 22px;
}
.footer_menu a {
    border: unset;
    margin-bottom: 0px;
}
.footer_menu a:hover {
    background: #f1b409;
    color: #fff;
}
.footer_menu a:nth-of-type(1) {
    display: none;
}


/*---FOOTERICON----*/

.box_link {
    display: none;
}


@media screen and (max-width: 1400px) {}
@media screen and (max-width: 1300px) {}
@media screen and (max-width: 1200px) {}
@media screen and (max-width: 1024px) {}




/*預設購物車版面 產品分類選單在左側 商品內頁詳細介紹下表單更改樣式 by shint at 2023.1.5  */
.product_page .main_part { max-width:1500px;}
/* .product_info_page .main_part { max-width:1200px;} */

.product_page .show_content,
.product_info_page .show_content { width: 100%; display: flex; justify-content: space-between; flex-wrap: wrap; align-items: flex-start; align-content: flex-start;}
.product_page .product_menu_list { position: relative; width: 220px; letter-spacing: 1px; /*border-right: 1px solid #ccc;*/min-height: 30vw;}
.product_page .products-list,
.product-wrapper { width: calc(100% - 270px);}
ul.page { width: 100%;}

.product-layer-two li ul { position:static; margin-top:5px; /*display:block !important;*/ width:100%; margin-left:0;}
.product-layer-two li:hover ul { border: none !important; /*display:block !important;*/}
.product-layer-two li li { display: block; padding:0; transition:all ease .3s;}
.product-layer-two li li a{ padding:5px 10px;}
.product-layer-two li li:hover > a { background:#fff; color:#ad925e;}
.product-layer-two > li { width:100%; max-width:100%; padding:0; text-align:left; border-bottom:1px dotted #ccc; padding-bottom: 5px;}
.product-layer-two > li ul > li + li { margin-top:5px;}

.product_info_page .product-layer-two { display: none;}
.product_info_page .products-list,
.product-wrapper { width: 100%;}

.product-layer-two li li:hover{ margin-left: 15px;}
.product-layer-two li li > a:before { content: ""; position: absolute; width: 12px; height: 8px; background: transparent; left: 0; margin-left: -20px; top: 50%; margin-top: -4px; clip-path: polygon(0 0, 100% 50% , 0 100%);}
.product-layer-two li li:hover > a:before { background:#ad925e;}

.product_info_page .half_box { width: 100%; float: none; padding-right: 0;}
.product_info_page .half_box li.btn_blankTop { margin-top: 50px; justify-content: space-between; display: flex;}
.product_info_page .half_box li.btn_blankTop input { width: calc(50% - 10px); background-image: none; padding: 0; text-align: center;}
@media screen and (max-width: 1200px) {
}
@media screen and (max-width: 980px) {
}
@media screen and (max-width: 768px) {
.product_menu_list,
.products-list,
.product-wrapper { width: 100%;}
.product-layer-two { margin-right: 0; grid-template-columns: repeat(auto-fill, minmax(230px, 1fr)); grid-gap: 5px;}
.product_page .product-layer-two,
.product_page .products-list { width: 100%; border-right: none;}
.product_page .product_menu_list>h5{display: block;}

.product_page .show_content > a { order: 1;}
.product_page ul.products-list { order: 2;}
.product_page ul.page { order: 3;}
.product_page .product_menu_list {width: 100%; order: 0; min-height: unset;}
}
@media screen and (max-width: 600px) {
}


/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */


/*預設解除背景輪播*/
#content_main { margin:0;}
.bannerindex { position:relative; height:auto;}
.swiper-banner { position:static; margin:0; height:auto;} 
/* .swiper-slide img { height:auto;} */
@media screen and (max-width: 768px) {
.bannerindex { padding:0; margin:0;}
}


/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */

/* --- 內頁BANNER 設定 --- */
.banner { 
    background: url(https://pic03.eapple.com.tw/客戶FTP/圖片檔案)center top;
    height: 470px;
    display: flex;
    justify-content: center;
    align-items: center;
    align-content: center;
    flex-wrap: wrap;
    padding: 0px;
    background-size: cover;
}
.banner h5 {
    color: #ffffff;
    position: relative;
    font-weight: 400;
    letter-spacing: 8px;
    margin: auto;
}

.banner.banA {}
.banner.banB {
    display: none;
}
.banner.banC {}
.banner.banD {}
.banner.banE {}
.banner.banF {}
.banner.banblog {}

@media screen and (max-width: 1024px) {}
@media screen and (max-width: 768px) {}
@media screen and (max-width: 600px) {}
@media screen and (max-width: 480px) {}

/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */


/*文章設定*/
/*一排呈現
.subbox_item { width:100%;}
*/


/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */


/*相本分類全版面 ( 限制最寬2000px
.work_page .main_part { max-width:2000px;}
.work_page .show_content { padding:0; width:100%;}
.work_page .show-list .item { width:33%; display:inline-block; float:none; margin:0; padding:0;}
@media screen and (max-width: 768px) {
.work_page .show-list .item { width:49%;}
}
@media screen and (max-width: 570px) {
.work_page .show-list .item { width:100%;}
}
.work_page .show-list .item a { max-width:100%;}
.work_page .show-list .show_pic { height:auto; line-height:0;}
.work_page .show-list .show_pic img { max-width:100%; max-height:100%;}
.work_page .show-list .show_name { position:absolute; top:50%; right:10%; width:80%; height:auto; line-height:160%; font-size: 20px; color: #FFFFFF !important; border: solid 1px #fff; text-align: center; margin: -20px 0 0 -120px; padding:5px 20px; transition:all ease-in .3s; opacity:0;}
.work_page .show-list .item:hover .show_name {opacity:1;}
*/


/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */


/*相本列表
.work_info_page .main_part { max-width:2000px;}
.work_info_page .show_content { padding:0; width:100%;}
.work_info_page .subalbum-menu { text-align:center;}
.work_info_page .subalbum-menu h2 { float:none;}
.work_info_page .pic-list .item { margin:0; padding:10px; width:49%; float:none; display:inline-block;}
@media screen and (max-width: 768px) {
.work_info_page .pic-list .item { width:100%;}
}
.work_info_page .pic-list .show_pic { height:auto; line-height:0;}
.work_info_page .pic-list .show_pic img { max-width:100%; max-height:100%;}
.work_info_page .pic-list .item a { max-width:100%; pointer-events: none; cursor: default; } 取消連結被點擊效果
*/


/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */





@media screen and (max-width: 768px) {
/* 開啟手機板下方按鈕所需設定 */
#bottom_menu {display: block; }
.footer.with_shopping_mode { padding:30px 0 70px; }
#to_top { bottom:60px;}
}

@media screen and (max-width: 600px) { 
}




